package frc.robot.constants;

public class HoodConstants {
    public enum HoodPositions {
        kLoadAngle(Math.toRadians(-20.0)),
        KAmpAngle(Math.toRadians(105.0));

        private double angle;

        private HoodPositions(double angle) {
            this.angle = angle;
        }

        public double getAngle() {
            return angle;
        }
    }


    public static final int kMotorCANID = 16;

    public static final double kP = 3.0;
    public static final double kI = 0.0;
    public static final double kD = 0.0;

    public static final double kLoadAngle = Math.toRadians(-20.0);
    public static final double KAmpAngle = Math.toRadians(105.0);

    public static final double kEncoderStepConversion = 1/(40.0*(28.0/15.0));

    public static final double kSFF = 0.0;
    public static final double kGFF = 0.33;
    public static final double kVFF = 1.44;

    public static final double kMaxVelocity = 0.0;
    public static final double kMaxAcceleration = 0.0;

    public static final int kMotorCurrentLimit = 50;

    public static final int kEncoderChannelA = 0;
    public static final int kEncoderChannelB = 1;
}
